API reference
Cancel a document that isn't completed
POST
apiKeyheader
AuthorizationBearer <isk_live_…>id*stringIdempotency-Key?stringAny unique string (at most 255 characters). Retries with it return the first response.
Length
length <= 255application/json- body
reason?stringThe document (status void, open invitations revoked)
application/json- response
id?stringtitle?stringdescription?string|nullreference?string|nullreturnUrl?string|nullstatus?DocumentStatusValue in
"draft""in_signature""completed""declined""void"verificationMethods?array<>How signers verify themselves: the company's choice (Company → API), as available
workspace?|nullowner?stringfileName?string|nullfileHash?|SHA-256 of the original
signedFileHash?|SHA-256 of the signed file
createdAt?stringFormat
date-timeupdatedAt?stringFormat
date-timeexpiresAt?|Format
date-timecompletedAt?|Format
date-timesigners?array<>certificate?|nulllinks?curl -X POST 'https://sign.idfier.com/api/v1/documents/string/void' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "string", "title": "string", "description": "string", "reference": "string", "returnUrl": "string", "status": "draft", "verificationMethods": [ "idfier" ], "workspace": { "id": "string", "name": "string" }, "owner": "string", "fileName": "string", "fileHash": "string", "signedFileHash": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "signers": [ { "id": "string", "email": "string", "role": "signer", "order": 0, "status": "pending", "invitedAt": "2019-08-24T14:15:22Z", "notifiedAt": "2019-08-24T14:15:22Z", "signedAt": "2019-08-24T14:15:22Z", "signingMethod": "idfier", "signingUrl": "string" } ], "certificate": { "issuedAt": "2019-08-24T14:15:22Z", "verificationUrl": "string" }, "links": { "self": "string", "file": "string", "signedFile": "string", "certificate": "string" }}